-- LUALOCALS < ---------------------------------------------------------
local include, klots, minetest, pairs
    = include, klots, minetest, pairs
-- LUALOCALS > ---------------------------------------------------------

klots.register_item_modifier(function(name, def)
		if def and def.drawtype == "glasslike_framed_optional" then
			local framed = {}
			for k, v in pairs(def) do framed[k] = v end
			framed.drawtype = "glasslike_framed"
			framed.description = framed.description .. " - Framed"
			minetest.register_item(name .. "_framed", framed)

			def.drawtype = "glasslike"
		end
	end)

include("terrain")
